## seetaface-open-role-zoo 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.7)
project(ORZ)

option(ORZ_INSTALL "Supporting install script" ON)

# global root dir
set(SOLUTION_DIR ${CMAKE_CURRENT_SOURCE_DIR})
add_definitions(-DORZ_SOLUTION_DIR="${SOLUTION_DIR}")

# dir for common cmake files
list(APPEND CMAKE_MODULE_PATH ${SOLUTION_DIR}/cmake)
list(APPEND CMAKE_PREFIX_PATH ${SOLUTION_DIR}/cmake)

# option for platform
set(PLATFORM "auto" CACHE STRING "auto, x86 or x64")
set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Debug or Release")
set(CONFIGURATION ${CMAKE_BUILD_TYPE})

# set common compiler flags
include(LOCAL_FLAGS)
include(LOCAL_ENV)

set(CMAKE_INSTALL_PREFIX ${PROJECT_BINARY_DIR}/build CACHE STRING "set install prefix")
install(CODE "MESSAGE(\"Installing into ${CMAKE_INSTALL_PREFIX}\")")

set(LOCAL_OUTPUT_DIR ${PROJECT_SOURCE_DIR})

if (LOCAL_OUTPUT_DIR)
    set(EXECUTABLE_OUTPUT_PATH ${LOCAL_OUTPUT_DIR}/${ENV_RUNTIME_DIR})
    set(LIBRARY_OUTPUT_PATH ${LOCAL_OUTPUT_DIR}/${ENV_LIBRARY_DIR})
endif ()

add_subdirectory(src)

# project files for clion
#FILE(GLOB_RECURSE TEST_FILES ${PROJECT_SOURCE_DIR}/test/*.cpp)
FILE(GLOB_RECURSE TOOL_FILES ${PROJECT_SOURCE_DIR}/tools/*.cpp)

include_directories(${PROJECT_SOURCE_DIR}/include)

foreach (path ${TEST_FILES})
    string(REGEX MATCH "[^/]*.[(c)|(cc)|(cpp)]$" file_ext ${path})
    string(REGEX MATCH "^[^.]*" file ${file_ext})
    add_executable(test_${file} ${path})
    set_target_properties(test_${file} PROPERTIES OUTPUT_NAME test_${file}${ENV_SUFFIX})
    target_link_libraries(test_${file} ${PROJECT_NAME}_STATIC)
    # set_target_properties(test_${file} PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${LOCAL_OUTPUT_DIR}/lib)
endforeach ()

foreach (path ${TOOL_FILES})
    string(REGEX MATCH "[^/]*.[(c)|(cc)|(cpp)]$" file_ext ${path})
    string(REGEX MATCH "^[^.]*" file ${file_ext})
    add_executable(tool_${file} ${path})
    set_target_properties(tool_${file} PROPERTIES OUTPUT_NAME ${file}${ENV_SUFFIX})
    target_link_libraries(tool_${file} ${PROJECT_NAME}_STATIC)
    install(TARGETS tool_${file}
		RUNTIME DESTINATION ${ENV_RUNTIME_DIR}
	)
endforeach ()

=== debian/changelog ===
seetaface-open-role-zoo (1.0.1-1) unstable; urgency=medium

  * update

 -- likier <likier@sina.cn>  Mon, 21 Feb 2022 11:14:34 +0800

seetaface-open-role-zoo (1.0.0.2-1+dde) unstable; urgency=medium

  * Add secure compilation options

 --echengqi <echengqi@uniontech.com>  Mon, 24 Jan 2021 13:17:44 +0800

seetaface-open-role-zoo (1.0.0.1-1+dde) unstable; urgency=medium

  * Fix missing header file

 -- chenlinxuan <chenlinxuan@uniontech.com>  Wed, 08 Dec 2021 15:55:46 +0800

seetaface-open-role-zoo (1.0.0-1) unstable; urgency=medium

  * Initial release

 -- liujianqing <liujianqiang@uniontech.com>  Fri, 03 Dec 2021 17:08:50 +0800

## seetaface-open-role-zoo 2.0.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,9 @@
 # global root dir
 set(SOLUTION_DIR ${CMAKE_CURRENT_SOURCE_DIR})
 add_definitions(-DORZ_SOLUTION_DIR="${SOLUTION_DIR}")
+
+# add secure compilation options
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie")
 
 # dir for common cmake files
 list(APPEND CMAKE_MODULE_PATH ${SOLUTION_DIR}/cmake)

=== debian/changelog ===
seetaface-open-role-zoo (2.0.0.0) UNRELEASED; urgency=medium

  * update

 -- likier <likier@sina.cn>  Mon, 20 Jun 2022 18:04:47 +0800

seetaface-open-role-zoo (2.0.0.0) unstable; urgency=medium

  * release 2.0.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 17:32:13 +0800

## seetaface-open-role-zoo 2.0.0.0deepin0

=== src/CMakeLists.txt ===
project(ORZ)

set(ORZ_SOURCE_DIR ${PROJECT_SOURCE_DIR}/..)

option(ORZ_WITH_OPENSSL "Supporting AES, RAS and SSL with OpenSSL" OFF)

include_directories(${ORZ_SOURCE_DIR}/include)
include_directories(${ORZ_SOURCE_DIR}/src)

set(ORZ_MODULES codec io lego mem net sync tools utils)

if (ORZ_WITH_OPENSSL)
    LIST(APPEND ORZ_MODULES ssl)
endif (ORZ_WITH_OPENSSL)

set(ORZ_INCLUDE_FILES)
set(ORZ_SRC_FILES)
set(ORZ_SRC_INCLUDE_FILES)

foreach (module ${ORZ_MODULES})
    FILE(GLOB_RECURSE ORZ_INCLUDE_${module}_FILES ${ORZ_SOURCE_DIR}/include/orz/${module}/*.h)
    LIST(APPEND ORZ_INCLUDE_FILES ${ORZ_INCLUDE_${module}_FILES})

    FILE(GLOB_RECURSE ORZ_SRC_${module}_FILES ${ORZ_SOURCE_DIR}/src/orz/${module}/*.cpp)
    LIST(APPEND ORZ_SRC_FILES ${ORZ_SRC_${module}_FILES})

    FILE(GLOB_RECURSE ORZ_SRC_INCLUDE_${module}_FILES ${ORZ_SOURCE_DIR}/src/orz/${module}/*.h)
    LIST(APPEND ORZ_SRC_INCLUDE_FILES ${ORZ_SRC_INCLUDE_${module}_FILES})
endforeach ()

set(ORZ_INCLUDE_DIR ${ORZ_SOURCE_DIR}/include)

add_library(${PROJECT_NAME}_STATIC STATIC ${ORZ_INCLUDE_FILES} ${ORZ_SRC_INCLUDE_FILES} ${ORZ_SRC_FILES})
# add_library(${PROJECT_NAME}_SHARED SHARED ${ORZ_INCLUDE_FILES} ${ORZ_SRC_INCLUDE_FILES} ${ORZ_SRC_FILES})
# target_link_libraries(${PROJECT_NAME}_SHARED ${PROJECT_NAME}_STATIC)

if (ORZ_WITH_OPENSSL)
    message(STATUS "Build with OpenSSL")
    add_definitions(-DORZ_WITH_OPENSSL)
	find_package(OpenSSL REQUIRED)
    include_directories(${OPENSSL_INCLUDE_DIR})
    # target_link_libraries(${PROJECT_NAME}_SHARED ${OPENSSL_CRYPTO_LIBRARY})
    target_link_libraries(${PROJECT_NAME}_STATIC ${OPENSSL_CRYPTO_LIBRARY})
    # target_link_libraries(${PROJECT_NAME}_SHARED ${OPENSSL_SSL_LIBRARY})
    target_link_libraries(${PROJECT_NAME}_STATIC ${OPENSSL_SSL_LIBRARY})
endif (ORZ_WITH_OPENSSL)

if (WIN32)
    # target_link_libraries(${PROJECT_NAME}_SHARED wininet.lib)
    target_link_libraries(${PROJECT_NAME}_STATIC wininet.lib)
    # target_link_libraries(${PROJECT_NAME}_STATIC ole32.lib)
elseif (APPLE)
    # target_link_libraries(${PROJECT_NAME}_SHARED pthread)
    target_link_libraries(${PROJECT_NAME}_STATIC pthread)
elseif (UNIX)
    # target_link_libraries(${PROJECT_NAME}_SHARED pthread)
    target_link_libraries(${PROJECT_NAME}_STATIC pthread)
    # target_link_libraries(${PROJECT_NAME}_STATIC uuid)
endif ()

# set_target_properties(${PROJECT_NAME}_SHARED PROPERTIES OUTPUT_NAME ${PROJECT_NAME}${ENV_SUFFIX})
set_target_properties(${PROJECT_NAME}_STATIC PROPERTIES OUTPUT_NAME ${PROJECT_NAME}_static${ENV_SUFFIX})

if (ORZ_INSTALL)
	install(TARGETS
            # ${PROJECT_NAME}_SHARED
            ${PROJECT_NAME}_STATIC
		RUNTIME DESTINATION ${ENV_RUNTIME_DIR}
		LIBRARY DESTINATION ${ENV_LIBRARY_DIR}
		ARCHIVE DESTINATION ${ENV_ARCHIVE_DIR}
	)
	
    install(DIRECTORY ${ORZ_INCLUDE_DIR}/orz
		DESTINATION ${ENV_HEADER_DIR}
	)

endif (ORZ_INSTALL)

=== debian/changelog ===
seetaface-open-role-zoo (2.0.0.0deepin0) unstable; urgency=medium

  [ likier ]
  * update

  [ Tianyu Chen ]
  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:18:24 +0800

=== debian/control ===
Source: seetaface-open-role-zoo
Section: devel
Priority: optional
Maintainer: likier <likier@sina.cn>
Build-Depends:
 cmake,
 debhelper (>= 11),
Standards-Version: 4.5.1
Homepage: https://github.com/SeetaFace6Open/OpenRoleZoo.git
Rules-Requires-Root: no

Package: seetaface-open-role-zoo
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: OpenRoleZoo for seetaface
 OpenRoleZoo is a static library used by seetaface
